#include "DummyAgent.hpp"

DummyAgent::DummyAgent()
    :Agent()
{
    notShot = true;
    gold = false;
    lastAction = NIL;   
    facing = std::pair<int, int>(1,0);
    position = std::pair<int, int>(0,0);
}

// This is a dummy agent which only make decison based on input.
// This is easy to debug
Agent::Action DummyAgent::getAction(){
    
    std::cout << "\nPlease input: ";
    
    char m;
    std::cin >> m;
    
    if (m=='w'){
        return FORWARD;
    }
    else if (m=='a'){
        return TURN_LEFT;
    }
    else if (m=='d'){
        return TURN_RIGHT;
    }
    else if (m=='s'){
        return SHOOT;
    }
    else if (m=='p'){
        return PICK_UP;
    }
    else if (m=='c'){
        return CLIMB;
    }
    else{
        return NIL;
    }
}

void DummyAgent::perceiveResult(std::set<Percept> percepts){
    
}